corelinux::String Class Reference

## Public Member Functions

| String (CharCptr aPtr)
Public Member Functions inherited from corelinux::AbstractString
| AbstractString (AbstractStringCref)
AbstractStringRef | operator= (AbstractStringCref)
bool | operator== (AbstractStringCref) const
virtual Byte | getElementByteCount (void) const =0
virtual bool | supportsStandardInterface (void) const =0
virtual bool | isUtf8 (void) const =0
virtual bool | isUcs2 (void) const =0
virtual bool | isUcs4 (void) const =0
virtual AbstractStringPtr | clone (void) const =0 throw ( Exception )
virtual AbstractStringPtr | cloneUtf8 (void) const =0 throw ( Exception )
virtual AbstractStringPtr | cloneUcs2 (void) const =0 throw ( Exception )
virtual AbstractStringPtr | cloneUcs4 (void) const =0 throw ( Exception )

The documentation for this class was generated from the following file:

- String.hpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium